#ifndef ELEMENT_H

#define NON_ELEMENT -1
typedef enum {
	/* ELEMENTS PRIMAIRES */
	// premier élément non-polarisé
	materia=0,
	// les quatre éléments primaires
	eau=1, air=2, feu=3, terre=4,

	/* ELEMENTS SECONDAIRES */
	// combinaison naturelles
	glace, flamme, boue, braise,
	// combinaison opposées
	poussiere, vapeur,
	// combianisons pures
	vent, roche,
	// mer,

	/* ELEMENTS TRANSITIONNELS */
	// premier rang
	lave, cristal, bois,
	montagne, brume, nuage,
	// second rang
	rubis, opale, plante,
	pluie, cendres, algue,

	/* TERTIAIRES */
	// tertiaires pures
	tornade, metal,
	// autres tertiaires
	volcan, sable,
	tempete, blizard, grele, deluge,

	/* NON TRIE */
	/*
	tenebres, lumiere, ombre, clarte, mort, vie, chaos, ordre, equilibre,
	champignon, algue, lichen,
	volcan, metal,
	foudre, eclair, electricite,
	tonnerre, orage, tempete,
	drosera, dionee, mousse,
	neige, pluie,
	cendres, sable, temps, cendres_mort,
	*/

	// n'est pas un élément : juste le nombre d'éléments
	NB_ELEMENTS
}
element;

int est_valide (element e);

int est_primaire (element e);

#define ELEMENT_H
#endif
