#include <termios.h>
#include <stdio.h>
#include "my_raw.h"

void set_raw (int on) {
	static struct termios save;
	struct termios curr;

	if (on) {
		tcgetattr (0, &curr);
		save = curr;
		curr.c_lflag &= ~ICANON;
		curr.c_lflag &= ~ECHO;
		// curr.c_lflag &= ~ECHOE;
		curr.c_cc[VMIN] = 1;
		curr.c_cc[VTIME] = 0;
		tcsetattr (0, TCSANOW, &curr);
		setbuf (stdout, NULL);
	}
	else {
		tcsetattr (0, TCSANOW, &save);
	}
	// sync (0); // is this really needed ?
}

