#include "phy.h"
#include "elements.h"
#include <stdlib.h> // just for NULL

char * nom (element id) {
	if (! est_valide (id)) {
		return (NULL);
	}

	switch (id) {
		case materia:
			return ("Materia");
		case eau:
			return ("Eau");
		case air:
			return ("Air");
		case feu:
			return ("Feu");
		case terre:
			return ("Terre");
		case glace:
			return ("Glace");
		case flamme:
			return ("Flamme");
		case boue:
			return ("Boue");
		case braise:
			return ("Braise");
		case poussiere:
			return ("Poussière");
		case vapeur:
			return ("Vapeur");
		case vent:
			return ("Vent");
		case roche:
			return ("Roche");
		/*
		case mer:
			return ("Mer");
		*/
		case lave:
			return ("Lave");
		case cristal:
			return ("Cristal");
		case bois:
			return ("Bois");
		case montagne:
			return ("Montagne");
		case brume:
			return ("Brume");
		case nuage:
			return ("Nuage");
		case rubis:
			return ("Rubis");
		case opale:
			return ("Opale");
		case plante:
			return ("plante");
		case pluie:
			return ("Pluie");
		case cendres:
			return ("Cendres");
		case algue:
			return ("Algue");
		case tornade:
			return ("Tornade");
		case metal:
			return ("Métal");
		case volcan:
			return ("Volcan");
		case sable:
			return ("Sable");
		case tempete:
			return ("Tempête");
		case blizard:
			return ("Blizard");
		case grele:
			return ("Grêle");
		case deluge:
			return ("Déluge");

		/* NON TRIE */
		/*
		case foudre:
			return ("Foudre");
		case champignon:
			return ("Champignon");
		case lichen:
			return ("Lichen");
		case eclair:
			return ("Eclair");
		case tonnerre:
			return ("Tonnerre");
		case orage:
			return ("Orage");
		case electricite:
			return ("Electricité statique");
		case drosera:
			return ("Droséra");
		case dionee:
			return ("Dionée");
		case mousse:
			return ("Mousse");
		case temps:
			return ("Temps");
		case cendres_mort:
			return ("Cendres mortuaires");
		*/
		case NON_ELEMENT:
			return ("Non-Element");
		default:
			return ("Sans-Nom");
	}
}
