#include "phy.h"
#include "elements.h"

int valeur (element e) {
	if (! est_valide (e)) {
		return (-1);
	}
	switch (e) {
		/* ELEMENTS PRIMAIRES */
		case 0:
		case eau:
		case air:
		case feu:
		case terre:
			return (1);

		/* ELEMENTS SECONDAIRES */
		// secondaires naturels
		case flamme:
		case boue:
		case glace:
		case braise:
			return (2);
		// secondaires opposés
		case poussiere:
		case vapeur:
			return (3);
		// secondaires purs
		case roche:
		case vent:
			return (3);

		/* ELEMENTS TRANSITIONNELS */
		// transitionnels de premier rang
		// case foudre:
		case cristal:
		case bois:
		case montagne:
		case brume:
			return (4);
		case nuage:
		case lave:
		// transitionnels de second rang
		case cendres:
		case rubis:
		case opale:
			return (5);
		case plante:
			return (6);

		/* ELEMENTS TERTIAIRES */
		// tertiaires purs
		case tornade:
		case metal:
			return (7);
		// autres tertiaires
		case blizard:
		case sable:
			return (5);
		case algue:
			return (7);
		case pluie:
		case tempete:
			return (8);
		case volcan:
			return (9);
		case grele:
			return (10);
		case deluge:
			return (11);

			// EOL
		default:
			return (0);
	}
}

